Bug 1909739 - Arbiter request data changes
Summary: Arbiter request data changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Ankush Behl
QA Contact: akarsha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 14:26 UTC by Ankush Behl
Modified: 2021-02-24 15:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:47:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7613 0 None closed Bug 1909739: Arbiter request data modification 2021-01-22 11:48:19 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:47:42 UTC

Description Ankush Behl 2020-12-21 14:26:33 UTC
Description of problem:
Arbiter request data changes to include the nodeTopologies.

Comment 3 akarsha 2021-01-13 11:15:45 UTC
Verified the fix on following versions

OCP version:- 4.7.0-0.nightly-2021-01-08-032110
OCS version:- ocs-operator.v4.7.0-229.ci

Includes nodeTopologies: us-east-2c and enable:true option in storagecluster.yaml, moving to verified. 

  spec:
    arbiter:
      enable: true
    encryption:
      kms: {}
    externalStorage: {}
    managedResources:
      cephBlockPools: {}
      cephFilesystems: {}
      cephObjectStoreUsers: {}
      cephObjectStores: {}
    monDataDirHostPath: /var/lib/rook
    nodeTopologies:
      arbiterLocation: us-east-2c


storagecluster: http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/bz-1914159/ocs/must-gather.local.3503640147221360971/quay-io-rhceph-dev-ocs-must-gather-sha256-af3123966d47e810d5be13b335247eb3eb1ad2cca396e9ab7820a55abaf9b63a/namespaces/openshift-storage/oc_output/storagecluster.yaml

Comment 5 errata-xmlrpc 2021-02-24 15:47:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.